Bug 334441 - CRM - 1772908 - Can't get cluster-snmp (fully) working
CRM - 1772908 - Can't get cluster-snmp (fully) working
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: conga (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Brian Brock
:
Depends On: 329631
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 10:37 EDT by Kiersten (Kerri) Anderson
Modified: 2009-04-16 16:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0982
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 16:56:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
idea of the fix (644 bytes, patch)
2007-10-22 05:24 EDT, Jan Safranek
no flags Details | Diff

  None (edit)
Comment 1 Kiersten (Kerri) Anderson 2007-10-16 10:39:17 EDT
Cloned this one from the net-snmp defect.  They can't get a fix for this into
rhel4.6, but sounds like there is a workaround to fix in cluster-snmp packages.
 We need to fix this for cluster 4.6.
Comment 2 Jan Safranek 2007-10-22 05:24:18 EDT
Created attachment 233971 [details]
idea of the fix

I am net-snmp maintainer and I found that net-snmp in RHEL4 is really old and
does not support some features of newer releases. In this bug, net-snmp expects
it receives INTEGER32 values as long*. New net-snmp can handle both int* and
long*. I cannot fix it in 4.6 (it's too late), I'll try to fix it in RHEL 4.7,
so if you want 4.6 cluster working, you must make a workaround.

So, you must go through your net-snmp module and check, if you return integer
values as long, not as int. Example patch is attached. You can easily check the
correctness of your code by configuring net-snmp to use the module and running
on x86_64 cluster:
snmpwalk -v2c -c public localhost REDHAT-CLUSTER-MIB::RedHatCluster

You should see all the values you support and there should be no "Error
building ASN.1" in /var/log/messages. Important is x86_64 architecture here -
the bug is not reproduceable on i386, where int and long have the same size.

Feel free to contact me if you have any questions.
Comment 3 Jim Parsons 2007-10-22 18:02:28 EDT
So - I have this fix in and ready to test it. I tried running your snmpwalk
command, and I got a 'command not found'. Which package is it in? Here are the
snmp pkgs installed on the system I am testing with:
rpm -qa |grep snmp
net-snmp-5.1.2-11.EL4.11
cluster-snmp-0.9.1-8
net-snmp-libs-5.1.2-11.EL4.11
Comment 4 Jan Safranek 2007-10-23 02:39:48 EDT
snmpwalk is in net-snmp-utils package
Comment 8 errata-xmlrpc 2007-11-21 16:56:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0982.html

Note You need to log in before you can comment on or make changes to this bug.